Name:           epel-rpm-macros
Version:        9
Release:        13%{dist}
Summary:        Extra Packages for Enterprise Linux RPM macros

License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://download.fedoraproject.org/pub/epel
Source0:        macros.epel-rpm-macros
Source1:        macros.zzz-epel-override
Source2:        GPL
#Add source for misc macros below here
# https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/rawhide/f/macros.shell-completions
Source3:        macros.shell-completions


BuildArch:      noarch
Requires:       redhat-release >= %{version}
# For FPC buildroot macros
Requires:       fpc-srpm-macros
# pyproject-rpm-macros in CRB thus not required by python3-devel or python3-rpm-macros
#   https://bugzilla.redhat.com/show_bug.cgi?id=2001034
Requires:       (pyproject-rpm-macros if python3-rpm-macros)
Requires:       ansible-srpm-macros
# Provides backports from Fedora's go-rpm-macros and fixes critical
# bugs in RHEL's go-rpm-macros.
# Just like in Fedora, only the minimal -srpm-macros are needed in the buildroot.
# The rest of the macros are pulled in dynamically.
Requires:       go-srpm-macros-epel
# Provides backports from Fedora's rust-srpm-macros
Requires:       rust-srpm-macros-epel
# Provides backport from Fedora's perl-generators related to proposal
# https://fedoraproject.org/wiki/Changes/Perl_replace_MODULE_COMPAT_by_generator
Requires:       (perl-generators-epel if perl-generators)
# Add rpmautospec to the buildroot to mirror Fedora
Requires:       rpmautospec-rpm-macros
Requires:       qt6-srpm-macros

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) RPM
macros for building EPEL packages.

%prep
%setup -cT
install -pm 644 %{SOURCE2} .

%install
#epel rpm macros
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_rpmmacrodir}/macros.epel-rpm-macros

install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rpm/macros.zzz-epel-override

#Add misc macros below here
install -Dpm 644 %{SOURCE3} \
    %{buildroot}%{_rpmmacrodir}/macros.shell-completions

%files
%license GPL
%{_rpmmacrodir}/macros.epel-rpm-macros
%{_sysconfdir}/rpm/macros.zzz-epel-override
%{_rpmmacrodir}/macros.shell-completions


%changelog
* Thu Oct 05 2023 Mattias Ellert <mattias.ellert@physics.uu.se> - 9-13
- Add qt6-srpm-macros to the buildroot. Fixes rhbz#2220860.

* Wed May 10 2023 Maxwell G <maxwell@gtmx.me> - 9-12
- Rebuild for RHEL 9.2

* Sun Mar 05 2023 Artur Frenszek-Iwicki <fedora@svgames.pl> - 9-11
- Add fpc-srpm-macros to the buildroot

* Sat Feb 25 2023 Maxwell G <maxwell@gtmx.me> - 9-10
- Add rust-srpm-macros-epel to the buildroot

* Fri Feb 10 2023 Maxwell G <gotmax@e.email> - 9-9
- Add rpmautospec to the buildroot to mirror Fedora

* Mon Jan 23 2023 Jitka Plesnikova <jplesnik@redhat.com> - 9-8
- Add perl-generators-epel to the buildroot

* Fri Sep 02 2022 Maxwell G <gotmax@e.email> - 9-7
- Add go-srpm-macros-epel to the buildroot

* Thu Sep 01 2022 Maxwell G <gotmax@e.email> - 9-6
- Backport macros.shell-completions from Fedora

* Fri May 27 2022 Carl George <carl@george.computer> - 9-5
- Backport java_arches macro from Fedora

* Tue May 17 2022 Maxwell G <gotmax@e.email> - 9-4
- Add `Requires: ansible-srpm-macros`

* Thu Dec 02 2021 Carl George <carl@george.computer> - 9-3
- Rebuild for EPEL9

* Mon Oct 25 2021 Troy Dawson <tdawson@redhat.com> - 9-2
- Add %%dist to Release:
- Fix pyproject-rpm-macros typo

* Mon Oct 25 2021 Troy Dawson <tdawson@redhat.com> - 9-1
- Make an initial macro set for 9

* Wed Sep  1 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-24
- Fix macros.build-constraints' %%limit_build
  - number of CPUs will never be set to less than 1
  - this now outputs build flag overrides to be used with %%make_build etc.
  - add documentation

* Mon Aug  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-23
- Add macros.build-constraints
- Refactor to use standard macros, not hard-coded paths

* Wed Jul 14 2021 Miro Hrončok <mhroncok@redhat.com> - 8-22
- Introduce %%py3_check_import

* Wed May 19 2021 Neal Gompa <ngompa13@gmail.com> - 8-21
- Drop custom CMake macros, RHEL 8.4 includes them now (cf. rhbz#1858983)

* Sat May 01 2021 Todd Zullinger <tmz@pobox.com> - 8-20
- Backport %%gpgverify API simplification
- Remove exec perms from /etc/rpm/macros.zzz-epel-override-cmake
- Silence rpmlint warnings about non-issues

* Tue Dec 22 2020 Miro Hrončok <mhroncok@redhat.com> - 8-19
- Define %%python_disable_dependency_generator

* Fri Sep 25 2020 Miro Hrončok <mhroncok@redhat.com> - 8-18
- Add %%python3_platform_triplet and %%python3_ext_suffix
- https://fedoraproject.org/wiki/Changes/Python_Upstream_Architecture_Names

* Tue Sep  8 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-17
- Add a Requires for lua-srpm-macros

* Thu Jul 30 2020 Neal Gompa <ngompa13@gmail.com> - 8-16
- Use legacy behavior for cmake-configure

* Wed Jul 29 2020 Neal Gompa <ngompa13@gmail.com> - 8-15
- Backport support for out-of-source builds controlled by __cmake_in_source_build macro (#1861329)
- Backport cmake_build and cmake_install macros
- Backport ctest macro

* Sun Jun 28 2020 Artur Iwicki <fedora@svgames.pl> - 8-14
- Add a Requires for fpc-srpm-macros

* Fri Jun 19 2020 Troy Dawson <tdawson@redhat.com> - 8-13
- Use Suggests for python36-rpm-macros

* Sun Jun 07 2020 Miro Hrončok <mhroncok@redhat.com> - 8-12
- Backport %%py_shebang_fix, %%pytest, %%py_provides
- Allow to combine %%pycached with other macros (e.g. %%exclude or %%ghost) (#1838992)

* Thu Apr 30 2020 Troy Dawson <tdawson@redhat.com> - 8-11
- Install python36-rpm-macros or python38-rpm-macros correctly

* Tue Apr 14 2020 Miro Hrončok <mhroncok@redhat.com> - 8-10
- Define %%python, but make it work only if %%__python is redefined
- Add the %%pycached macro

* Fri Apr 03 2020 Troy Dawson <tdawson@redhat.com> - 8-9
- Add %%qt5_qtwebengine_arches to macros

* Thu Nov 21 2019 Troy Dawson <tdawson@redhat.com> - 8-8
- Bump release to be in sync with playground build.

* Wed Nov 20 2019 Troy Dawson <tdawson@redhat.com> - 8-6
- Enable python requires generator

* Wed Nov 13 2019 Kevin Fenzi <kevin@scrye.com> - 8-5
- Bump release, because 8-4 was built in epel8-playground

* Wed Oct 30 2019 Orion Poplawski <orion@nwra.com> - 8-4
- Add gpgverify macro and script

* Mon Oct 21 2019 Miro Hrončok <mhroncok@redhat.com> - 8-3
- Make sure EPEL8's Python 3 packages use /usr/bin/python3.6 instead of /usr/libexec/platform-python

* Mon Sep 30 2019 Miro Hrončok <mhroncok@redhat.com> - 8-2
- Define %%python2 and %%python3

* Wed Jun  5 2019 Stephen Smoogen <smooge@smoogen-laptop.localdomain> - 8-1
- Make an initial macro set for 8. 

* Fri Jun 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-19
- Add %%set_build_flags macro.

* Mon May 14 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-18
- Add various %%build_* macros from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-17
- Add %%_rpmmacrodir from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-16
- Add %%_metainfodir macro.

* Thu Feb 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-15
- Add %%vimfiles_root (bug #1545901)

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7-14
- Backport ldconfig macros

* Thu Dec 15 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-13
- Backport vpath macros.

* Fri Dec 9 2016 Orion Poplawski <orion@cora.nwra.com> 7-12
- Fix override macro file name

* Tue Dec 6 2016 Orion Poplawski <orion@cora.nwra.com> 7-11
- Override %%_pkgdocdir (bug #1392354)

* Fri Sep 16 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-10
- Add overrides file (seems that it must be in /etc/rpm) and override
  %%nodejs_arches.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-9
- Add %%bash_completion_dir.

* Wed Mar 30 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-8
- Use simpler definition of %%epel.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-7
- Add mono macros requested in rhbz 1295117.

* Mon Jan 25 2016 Orion Poplawski <orion@cora.nwra.com> 7-6
- Bring in python macros via the python-rpm-macros packages
- Use %%setup so fedpkg local works

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> 7-5
- Fix python_provide macro for EPEL7 python3 package names

* Thu Oct  8 2015 Thomas Spura <tomspur@fedoraproject.org> - 7-4
- Fix python_provide macro to use epoch and obsolete previous python- package

* Tue Aug 18 2015 Orion Poplawski <orion@cora.nwra.com> 7-3
- Fix py2_install macro
- Cleanup spec

* Sat Aug 01 2015 Kevin Fenzi <kevin@scrye.com> 7-2
- Add python macros. Fixes bug #1241655

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 7-1
- Initial version for epel.
